Loading...
Searching...
No Matches
std Namespace Reference

## Functions

template<typename T, unsigned N>
void | swap (Ogre::SmallVector< T, N > &LHS, Ogre::SmallVector< T, N > &RHS)
| Implement std::swap in terms of SmallVector swap.
template<typename T>
void | swap (Ogre::SmallVectorImpl< T > &LHS, Ogre::SmallVectorImpl< T > &RHS)
| Implement std::swap in terms of SmallVector swap.

## Function Documentation

## swap() [1/2]

template<typename T>

void std::swap | ( | Ogre::SmallVectorImpl< T > & | LHS,
|  | Ogre::SmallVectorImpl< T > & | RHS )

inline

Implement std::swap in terms of SmallVector swap.

References Ogre::SmallVectorImpl< T >::swap().

Referenced by Ogre::Any::swap(), Ogre::DualQuaternion::swap(), Ogre::Quaternion::swap(), and Ogre::SmallVectorImpl< T >::swap().

## swap() [2/2]

template<typename T, unsigned N>

void std::swap | ( | Ogre::SmallVector< T, N > & | LHS,
|  | Ogre::SmallVector< T, N > & | RHS )

inline

Implement std::swap in terms of SmallVector swap.

References Ogre::SmallVectorImpl< T >::swap().